Last updated: Dec 13 2017

System requirements for Episerver

Note: These system requirements apply to versions higher than 7.5 of the Episerver platform. See Installing Episerver updates how to upgrade to the latest Episerver version.

Note: See specific requirements and deviations below for Episerver DXC Service and other products.

System requirements for the Episerver platform

Server requirements

Operating system

Any of the following:

  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012

All service packs are supported.

Note: From CMS 9, Windows Server 2008/2008 R2 and Windows 7 are no longer supported.

Web server

Any of the following must be installed as part of the Windows Server installation:

  • Microsoft Internet Information Services (IIS) 10
  • Microsoft Internet Information Services (IIS) 8.5
  • Microsoft Internet Information Services (IIS) 8.0

Note: From CMS 9, IIS 7.0 and 7.5 are no longer supported.

Database

Any of the following:

  • Microsoft SQL Server 2016
  • Microsoft SQL Server 2014
  • Microsoft SQL Server 2012

All service packs are supported.

Note: From update 163, Microsoft SQL Server 2008 is no longer supported.

Other requirements

  • Microsoft .NET Framework 4.6.1 or 4.7
    Note: After 2015, Microsoft .NET Framework 4.5.0 and 4.5.1 are not supported. From CMS 11, 4.6.1 is required.
  • C# 5.0 or later compatible versions
  • MVC 5.2.3

Note: In a production environment, an instance bound license is required for cloud-based solutions. For non-cloud environments, a permanent IP or MAC address is required.

Client requirements for EDITING

Browser for editing

CMS 11, the latest major release, supports:

  • Microsoft Internet Explorer 11*
  • Mozilla Firefox, latest**
  • Google Chrome, latest**

CMS 10 supports:

  • Microsoft Internet Explorer 11*
  • Mozilla Firefox 22-57
  • Google Chrome 45-62

CMS 9 supports:

  • Microsoft Internet Explorer 11*
  • Mozilla Firefox 14-22
  • Google Chrome 33-45

CMS 8 supports:

  • Microsoft Internet Explorer 11*
  • Mozilla Firefox 11-14
  • Google Chrome 12-33

* For Commerce Manager, see product-specific requirements.

** Due to fast release cycles, we only support the two latest versions for these.

Client requirements for BROWSING

Browser for viewing

The supported web browsers for viewing depend on the implementation. Most standard web browsers are generally supported. 

Development and demonstration environment

Operating system

Any of the following:

  • Microsoft Windows 10
  • Microsoft Windows 8.1
  • Microsoft Windows 8
  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012

Note: From CMS 9, Windows Server 2008/2008 R2 and Windows 7 are no longer supported.

Development tool

Any of the following:

  • Microsoft Visual Studio 2017
  • Microsoft Visual Studio 2015

Notes:

  • The Episerver Visual Studio integration installation requires IIS Express (included with VS 2015 and higher, can also be installed using Web Platform Installer).
  • Always install the latest updates for Visual Studio.

Database

Any of the following:

  • Microsoft SQL Server 2016
  • Microsoft SQL Server 2014
  • Microsoft SQL Server 2012
  • Microsoft SQL Server 2012 Express

Note: The Episerver Visual Studio integration installation requires SQL Server Express (included with VS 2015 and higher, and can also be installed using Web Platform Installer).

Note: From update 163, Microsoft SQL Server 2008 is no longer supported.

Other requirements

MVC 5.2.3

Product-specific requirements and deviations

Episerver Digital Experience Cloud Service

Episerver Commerce

  • Commerce 11 and higher requires MVC 5.2.3.
  • For Commerce Manager (Commerce back-end), we recommend Firefox or Chrome.

Episerver CMO

  • For Episerver CMO, Microsoft Silverlight is required to view statistics charts and KPI reports.

Episerver Forms

  • Episerver Forms is only supported by MVC-based websites and HTML5-compliant browsers.